<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__scb__common__macros__rx__intr" kind="group">
    <compoundname>group_scb_common_macros_rx_intr</compoundname>
    <title>RX Interrupt Statuses</title>
      <sectiondef kind="define">
      <memberdef id="group__group__scb__common__macros__rx__intr_1gaca10cfda0f00807c9d466ad596f0e7ce" kind="define" prot="public" static="no">
        <name>CY_SCB_RX_INTR_LEVEL</name>
        <initializer>SCB_INTR_RX_TRIGGER_Msk</initializer>
        <briefdescription>
<para>The number of data elements in the RX FIFO is greater than the value of the RX FIFO level. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="553" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="553" />
      </memberdef>
      <memberdef id="group__group__scb__common__macros__rx__intr_1gaeda2c4c71a6d2845159e636640974f37" kind="define" prot="public" static="no">
        <name>CY_SCB_RX_INTR_NOT_EMPTY</name>
        <initializer>SCB_INTR_RX_NOT_EMPTY_Msk</initializer>
        <briefdescription>
<para>The RX FIFO is not empty. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="556" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="556" />
      </memberdef>
      <memberdef id="group__group__scb__common__macros__rx__intr_1ga1cb2d0a7d0b1cc8d61047f6e18ea8253" kind="define" prot="public" static="no">
        <name>CY_SCB_RX_INTR_FULL</name>
        <initializer>SCB_INTR_RX_FULL_Msk</initializer>
        <briefdescription>
<para>The RX FIFO is full. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="559" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="559" />
      </memberdef>
      <memberdef id="group__group__scb__common__macros__rx__intr_1ga2eb641ced7c5a56090406d3e6b121b7f" kind="define" prot="public" static="no">
        <name>CY_SCB_RX_INTR_OVERFLOW</name>
        <initializer>SCB_INTR_RX_OVERFLOW_Msk</initializer>
        <briefdescription>
<para>An attempt to write to a full RX FIFO. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="562" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="562" />
      </memberdef>
      <memberdef id="group__group__scb__common__macros__rx__intr_1gac09e0975c2ec8d3e7e5360eb3cf652db" kind="define" prot="public" static="no">
        <name>CY_SCB_RX_INTR_UNDERFLOW</name>
        <initializer>SCB_INTR_RX_UNDERFLOW_Msk</initializer>
        <briefdescription>
<para>An attempt to read from an empty RX FIFO. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="565" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="565" />
      </memberdef>
      <memberdef id="group__group__scb__common__macros__rx__intr_1ga84bfda9d220b8bb6b5311614c097bed6" kind="define" prot="public" static="no">
        <name>CY_SCB_RX_INTR_UART_FRAME_ERROR</name>
        <initializer>SCB_INTR_RX_FRAME_ERROR_Msk</initializer>
        <briefdescription>
<para>A UART framing error detected. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="568" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="568" />
      </memberdef>
      <memberdef id="group__group__scb__common__macros__rx__intr_1ga93968b0308022036b7517a6575d11a40" kind="define" prot="public" static="no">
        <name>CY_SCB_RX_INTR_UART_PARITY_ERROR</name>
        <initializer>SCB_INTR_RX_PARITY_ERROR_Msk</initializer>
        <briefdescription>
<para>A UART parity error detected. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="571" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="571" />
      </memberdef>
      <memberdef id="group__group__scb__common__macros__rx__intr_1ga69e2e82af70afb4a998b4a9bcf0e18b2" kind="define" prot="public" static="no">
        <name>CY_SCB_RX_INTR_UART_BREAK_DETECT</name>
        <initializer>SCB_INTR_RX_BREAK_DETECT_Msk</initializer>
        <briefdescription>
<para>A UART break detected. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="574" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="574" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>